#ifndef DROPWIDGET_H
#define DROPWIDGET_H

#include <QMainWindow>

QT_BEGIN_NAMESPACE
class QDragEnterEvent;
class QDropEvent;
QT_END_NAMESPACE

//! [0]
class DropWidget : public QMainWindow
{
public:
    explicit DropWidget(QWidget *parent = nullptr);

protected:
    void dragEnterEvent(QDragEnterEvent *event);
    void dragMoveEvent(QDragMoveEvent *event);
    void dropEvent(QDropEvent *event);
};
//! [0]

#endif // DROPWIDGET_H
